<div class="card shadow mb-2">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Kata Pengantar</h6>
    </div>
    <div class="card-body">
        <form action="{% url 'profile:admin_setting_aboutme' section=section %}" method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="hidden" name="section" value="{{section}}"> 
            <input type="hidden" name="jenis" value="header">
            <input type="hidden" name="icon" value="-">

            <div class="form-row mb-2" id="edit-judul">
                <label class="col-sm-2 col-form-label">Judul</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="judul" value="{{headAbout.judul}}">
                    <small>Judul akan ditampilkan di halaman Profile.</small>
                </div>
            </div>
            <hr class="mb-2">

            <div class="form-row mb-2" id="edit-deskripsi">
                <label class="col-sm-2 col-form-label">Deskripsi</label>
                <div class="col-10">
                    <textarea class="form-control" required maxlength="255" name="deskripsi" rows="2">{{headAbout.deskripsi}}</textarea>
                    <small>Deskripsi akan ditampilkan di halaman profile".</small>
                </div>
            </div>
            <hr class="mb-2">

            <div class="form-row mb-2" id="edit-pengantar">
                <label class="col-sm-2 col-form-label">Pengantar</label>
                <div class="col-10">
                    <textarea class="form-control" required maxlength="255" name="keterangan" rows="2">{{headAbout.youtube}}</textarea>
                    <small>Pengantar akan ditampilkan di halaman profile".</small>
                </div>
            </div>
            <hr class="mb-2">

            <div class="form-row mb-2" id="edit-pengantar">
                <label class="col-sm-2 col-form-label">Thumbnail</label>
                <div class="col-10">
                    {% if headAbout.images %}
                        <div class="col col-md-12" id="old-image">
                            <img class="img-responsive" style="max-width: 20%; max-height: 20%;" src="{{headAbout.images.url}}">
                            <p><small>File foto lama. {{headAbout.images.url}}</small></p>
                        </div>
                    {% endif %}
                    <br>
                    <input type="file" name="images">
                    <br>
                    <small>Thumbnail akan ditampilkan di halaman profile".</small>
                </div>
            </div>
            <hr class="mb-2">

            {% if section != 'about' %}
            <div class="form-row mb-2" id="edit-youtube">
                <label class="col-sm-2 col-form-label">Url Youtube</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="youtube" value="{{headAbout.youtube}}">
                    <small>Untuk tombol Play di halaman Tentang Kami..</small>
                </div>
            </div>
            <hr class="mb-2">
            {% else %}
            <input type="hidden" name="youtube" value="-">
            {% endif %}

            <div class="col">
                <button type="submit" class="btn btn-success confirm-form" id="simpan-overview">
                    <i class="bi bi-save"></i> Simpan</button>
            </div>
        </form>
    </div>
</div>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Detail Kata Pengantar</h6>
    </div>
    <div class="card-body">
        <a href="{% url 'profile:admin_setting_create_aboutme' section=section %}" class="btn btn-info mt-0 mb-2" >
            <i class="bi bi-plus"></i> Tambah Detail
        </a>
        <div class="table-responsive py-0">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Judul</th>
                        <th scope="col" class="text-center">Deskripsi</th>
                        <!-- <th scope="col" class="text-center">Icon</th> -->
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for dt in listAbout %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ dt.judul }}</td>
                            <td>{{ dt.deskripsi | truncatewords:8 }}</td>
                            <!-- <td class="text-center"><i class="{{ dt.icon }}"></i></td> -->
                            <td class="text-center">
                                 <a href="{% url 'profile:admin_setting_edit_aboutme' section=section id=dt.id %}"
                                    class="btn btn-success btn-circle pass-data-ubah" 
                                    data-toggle="tooltip" data-placement="top" title="Edit"
                                    data-target="#modal-center-ubah"
                                    data-id="{{ dt.id }}" data-judul="{{ dt.judul }}"
                                    data-deskripsi="{{ dt.deskripsi }}" data-icon="{{ dt.icon }}">
                                    <i class="bi bi-pencil"></i>
                                </a>
                                <button href="#" class="btn btn-danger btn-circle" 
                                    data-url="{% url 'profile:admin_setting_delete_aboutme' section=section id=dt.id %}"
                                    data-back="{% url 'profile:admin_setting_aboutme' section=section %}"
                                    onclick="delete_data(this)"
                                    data-toggle="tooltip" data-placement="top" title="Delete">
                                    <i class="bi bi-trash"></i>
                                </button>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>